Bug 579143 - Crash when cleaning show me again setting
Summary: Crash when cleaning show me again setting
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fwbackups
Version: 12
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Stewart Adam
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-02 21:17 UTC by Michael Monreal
Modified: 2010-07-23 02:34 UTC (History)
1 user (show)

Fixed In Version: fwbackups-1.43.3-0.9.rc5.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-23 02:34:24 UTC


Attachments (Terms of Use)

Description Michael Monreal 2010-04-02 21:17:34 UTC
If I press the "Click to reset 'Don't show me again' messages" button I get this: 

---
fwbackups bug report written saved at 11:09 PM on 2010-04-02
Traceback (most recent call last):
  File "/usr/share/fwbackups/fwbackups-runapp.pyw", line 1075, in on_preferencesResetDontShowMeButton_clicked
    for option in prefs.options('Preferences'):
AttributeError: PrefsConf instance has no attribute 'options'
---

Saving the error log makes the whole app exit.

Comment 1 Stewart Adam 2010-04-18 21:26:34 UTC
Thanks for reporting this (& the other bugs), I was able to find and resolve the bug. Once all the fixes have been committed and I finalize the documentation, I'll push out 1.43.3 final.

Comment 2 Fedora Update System 2010-07-02 00:35:37 UTC
fwbackups-1.43.3-0.9.rc5.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/fwbackups-1.43.3-0.9.rc5.fc13

Comment 3 Fedora Update System 2010-07-02 06:00:10 UTC
fwbackups-1.43.3-0.9.rc5.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/fwbackups-1.43.3-0.9.rc5.fc12

Comment 4 Fedora Update System 2010-07-05 22:07:08 UTC
fwbackups-1.43.3-0.9.rc5.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fwbackups'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/fwbackups-1.43.3-0.9.rc5.fc13

Comment 5 Fedora Update System 2010-07-23 02:27:31 UTC
fwbackups-1.43.3-0.9.rc5.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2010-07-23 02:33:47 UTC
fwbackups-1.43.3-0.9.rc5.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.